//=======================================================================================================
//                                                                                 Linda_Raschke _i_v1 //
//                                                                     Copyright  25.05.2013 Buldakov //
//                                                                                             EUR/USD //
//=======================================================================================================
#property indicator_chart_window                                                                       //
//#property indicator_separate_window                                                                  //
#property indicator_buffers 2                                                                          //
#property indicator_color1 Blue                                                                        //
#property indicator_color2 Blue                                                                        //
//===   ================================================================================
extern int    Hours = 256;  //                                                  //
extern double i_a   = 25.0;//                                                               //
//===   =============================================================================
int limit;                                                                                             //
int j,n;                                                                                               //
//===    =============================================================================
double Hi[],Lo[];                                                                                      //
//===   =============================================================================
int init()                                                                                             //
{                                                                                                      //
//===        ===================================
SetIndexShift(0,0);                                                                                    //
SetIndexShift(1,0);                                                                                    //
//===        ================================================
SetIndexDrawBegin(0,0);                                                                                //
SetIndexDrawBegin(1,0);                                                                                //
//=== 2    ============================================================
SetIndexBuffer(0,Hi);                                                                                  //
SetIndexBuffer(1,Lo);                                                                                  //
//===       ==================================================
SetIndexStyle(0,DRAW_LINE,EMPTY,2);                                                                    //
SetIndexStyle(1,DRAW_LINE,EMPTY,2);                                                                    //
//===     ==================================================================
SetIndexLabel(0,NULL);                                                                                 //
SetIndexLabel(1,NULL);                                                                                 //
//=======================================================================================================
return(0);                                                                                             //
}                                                                                                      //
//===   ===========================================================================
int deinit()                                                                                           //
{ return(0); }                                                                                         //
//===          =============================
int start()                                                                                            //
{                                                                                                      //
//=======================================================================================================
int counted_bars=IndicatorCounted();                                                                   //
if(counted_bars<0) return(-1);                                                                         //
//===                                                            //
if(counted_bars>0) counted_bars--;                                                                     //
limit=Bars-counted_bars;                                                                               //
//-----------------------------------------------------------------------------------------------------//
n=(Hours*60)/Period();                                                                                 //
if (n<(240/Period())) n=240/Period(); //                             //
limit=n;                                                                                               //
for(j=limit; j>=0; j--)                                                                                //
{                                                                                                      //
//===     ===================================================================
if ((Hi[j+1]-High[j])>0)                           Hi[j]=Hi[j+1]-(i_a*Point*Period())/60;              //
if ((Low[j]-Lo[j+1])>0)                            Lo[j]=Lo[j+1]+(i_a*Point*Period())/60;              //
//-----------------------------------------------------------------------------------------------------//
if (High[j]>=Hi[j] || Hi[j]>(1.2*High[j]))         Hi[j]=High[j];                                      //
if (Low[j]<=Lo[j]  || Lo[j]<(0.8*Low[j]))          Lo[j]=Low[j];                                       //
}                                                                                                      //
//-----------------------------------------------------------------------------------------------------//
Comment("   ",TimeToStr(CurTime()),"\n",                                                     //
        "High_Level   ",DoubleToStr(Hi[0],4)," ","\n",                                               //
        " Low_Level   ",DoubleToStr(Lo[0],4),"");                                                    //
return(0);                                                                                             //
}                                                                                                      //
//=======================================================================================================

